# -*- coding: UTF-8 -*-

__revision__ = '$Id: ge_player.py 1568 2011-08-10 20:08:12Z mikej06 $'

# Copyright © 2009 Piotr Ożarowski
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published byp
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Library General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA

# You may use and distribute this software under the terms of the
# GNU General Public License, version 2 or later

import logging
from subprocess import Popen

from gutils import is_windows_system
from plugins.extensions import GriffithExtensionBase as Base

log = logging.getLogger('Griffith')


class GriffithExtension(Base):
	name = 'Permissions'
	description = _('Sets Movie Permissions')
	author = 'James Miller'
	email = 'jsm@griffith.cc'
	version = 1
	api = 1
	enabled = False # disabled by default

	toolbar_icon = 'ge_player.png'

	def __init__(self, griffith):
		"""add context menu items"""
		pass

	def _on_toolbar_icon_clicked(self, widget):
		"""this brings up the glade dialog to set up the details - groups, users, ratings scheme etc"""
		pass

	def _on_context_menu_clicked_single(self):
		"""this sets permissions according to rating scheme on the selected file"""
		pass

	def _on_context_menu_clicked_multiple(self):
		"""this sets permissions according to rating scheme on all the files"""
		pass
